tinysshnoneauthd(8)

NAME
tinysshnoneauthd - Tiny SSH daemon with 'none' auth. enabled

SYNOPSIS
tinysshnoneauthd [ options ] keydir

DESCRIPTION
tinysshnoneauthd creates encrypted (but not authenticated) SSH connection. It's used to protect older protocols which uses e.g. telnet etc.

OPTIONS

-q  no error messages

-Q  print error messages (default)

-v  print extra information

-l  use syslog instead of standard error output (useful for running from inetd)

-L  don't use syslog, use standard error output (default)

-e command
    execute the given command instead of spawning the shell (disables exec/subsystem channel requests)

keydir
    directory containing TinySSH keys, typically /etc/tinyssh/sshkeydir

EXAMPLES

TCPSERVER
    useradd tinysshnoneauth
    mkdir -p /home/tinysshnoneauth/
    tinysshd-makekey /home/tinysshnoneauth/sshkeydir
    chown -R tinysshnoneauth /home/tinysshnoneauth/sshkeydir
    envuidgid tinysshnoneauth tcpserver -UHRDl0 0 2222 /usr/sbin/tinysshnoneauthd -vv -e 'cat /etc/motd' /home/tinysshnoneauth/sshkeydir

SEE ALSO
tinysshd(8), tinysshd-makekey(8), tinysshd-printkey(8)

https://tinyssh.org/